/*
 * $Id: //depot/prod/newport_news/Radamant.1/src/java/com/netapp/common/cli/validator/Validator.java#1 $
 * 
 * Copyright (c) 2007 Network Appliance, Inc.
 * All rights reserved.
 */
package com.netapp.common.cli.validator;

import org.apache.commons.cli2.CommandLine;

import com.netapp.common.cli.binding.ArrayObjectBinding;
import com.netapp.common.cli.binding.BeanObjectBinding;
import com.netapp.common.cli.binding.PrimitiveObjectBinding;

/**
 * A validator must be able to validate the 3 binding types against the commandLine object
 * @author sirianni
 * @version $Revision: #1 $ $Date: 2010/08/20 $
 */
public interface Validator {
    void validate(PrimitiveObjectBinding primitiveObjectBinding, CommandLine commandLine) throws ValidationException;
    void validate(BeanObjectBinding beanObjectBinding, CommandLine commandLine) throws ValidationException;
    void validate(ArrayObjectBinding collectionObjectBinding, CommandLine commandLine) throws ValidationException;
}
