/*
 * $Id: //depot/prod/newport_news/Radamant.1/src/java/com/netapp/common/platform/windows/GroupImpl.java#1 $
 * 
 * Copyright (c) 2007 Network Appliance, Inc.
 * All rights reserved.
 */
package com.netapp.common.platform.windows;

import com.netapp.common.platform.Group;

public class GroupImpl implements Group {

    private String name;
    
    private String sid;

    public String getName() {
        return this.name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getSid() {
        return this.sid;
    }

    public void setSid(String sid) {
        this.sid = sid;
    }
    
    @Override
    public String toString() {
        //return this.name + " (" + this.sid + ")";
        return this.name != null ? this.name : this.sid;
    }

    @Override
    public int hashCode() {
        
        final int prime = 31;
        int result = 1;
        result = prime * result + ((this.name == null) ? 0 : this.name.hashCode());
        result = prime * result + ((this.sid == null) ? 0 : this.sid.hashCode());
        return result;
    }
    
    @Override
    public boolean equals(Object obj) {
        
        if (obj == this) {
            return true;
        }
        
        if (obj instanceof GroupImpl) {
            GroupImpl rhs = (GroupImpl)obj;
            
            return this.sid.equals(rhs.sid) && this.name.equals(rhs.name);
        }
        
        return false;
    }
}
