/*
 * $Id: //depot/prod/newport_news/Radamant.1/src/java/com/netapp/common/flow/SpringTaskInstanceFactory.java#1 $
 * 
 * Copyright (c) 2007 Network Appliance, Inc.
 * All rights reserved.
 */
package com.netapp.common.flow;

import com.netapp.common.spring.SpringInstanceFactory;

/**
 * Create Task instances via the Spring application context.
 * This allows Task instances to be autowired with dependencies.
 * 
 * Tasks must be declared in Spring with "prototype" scope.
 * 
 * @author sirianni
 * @version $Revision: #1 $ $Date: 2010/08/20 $
 */
public class SpringTaskInstanceFactory extends SpringInstanceFactory<Task> implements TaskInstanceFactory {
    public Task newTaskInstance(Class<? extends Task> taskClass, OperationContext operationContext) throws InstantiationException, IllegalAccessException {
        return newInstance(taskClass);
    }
}
