/*
 * $Id: //depot/prod/newport_news/Radamant.1/src/java/com/netapp/common/platform/windows/WMIElement.java#1 $
 *
 * Copyright (c) 2008 NetApp, Inc.
 * All rights reserved. 
 */
package com.netapp.common.platform.windows;

import java.lang.annotation.Documented;
import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;


/**
 * Annotation for a WMI element in a returned proxy object.
 * Methods with this annotation will create a getter for the field
 * name specified in {@link #value()}.
 * @author sunday
 * @version $Revision: #1 $ $Date: 2010/08/20 $
 */
@Documented
@Retention(RetentionPolicy.RUNTIME)
@Target(ElementType.METHOD)
public @interface WMIElement {
    String value();
}
