/*
 * $Id: //depot/prod/newport_news/Radamant.1/src/java/com/netapp/common/zapi/generator/FieldGenerator.java#1 $
 * 
 * Copyright (c) 2009 Network Appliance, Inc.
 * All rights reserved.
 */
package com.netapp.common.zapi.generator;

import com.netapp.common.zapi.parser.Field;

public abstract class FieldGenerator<F extends Field> extends NameGenerator<F> {
    
    public FieldGenerator(GeneratorFactory<?, ?, ?, ?> generatorFactory, F field) {
        super(generatorFactory, field);
    }
    
    public String getDescGenerated() {
        return getGeneratorFactory().getDescriptionGenerator().transform(getTarget().getDesc());
    }
    
    public String getTypeGenerated() {
        return getGeneratorFactory().getTypeGenerator(getTarget().getTypedefType()).getNameGenerated();
    }

}
